# ParentIterator::accept

(PHP 5 >= 5.1.0, PHP 7)

ParentIterator::accept — Determines acceptability

### Description

public ParentIterator::accept ( void ) : bool

Determines if the current element has children.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the current element is acceptable, otherwise `FALSE`.

### See Also

- ParentIterator::hasChildren() - Check whether the inner iterator's current element has children
- FilterIterator::accept() - Check whether the current element of the iterator is acceptable